## muon-meson 0.1.0

=== meson_options.txt ===
option(
    'libcurl',
    type: 'feature',
    value: 'auto',
    description: 'required for fetching wraps',
)
option(
    'libarchive',
    type: 'feature',
    value: 'auto',
    description: 'required for extracting wrap archives',
)
option(
    'libpkgconf',
    type: 'feature',
    value: 'auto',
    description: 'required for dependency discovery with pkg-config files',
)
option(
    'samurai',
    type: 'feature',
    value: 'disabled',
    description: 'embed samurai into the muon executable',
)
option(
    'bestline',
    type: 'feature',
    value: 'enabled',
    description: 'add readline support via bestline',
)
option(
    'static',
    type: 'boolean',
    value: false,
    description: 'build a static muon executable',
)
option(
    'docs',
    type: 'feature',
    value: 'auto',
    description: 'build documentation',
)
option(
    'website',
    type: 'boolean',
    value: false,
    description: 'build website, requires docs to be enabled',
)
option(
    'tracy',
    type: 'feature',
    value: 'auto',
    description: 'wether to enable tracy',
)

=== tests/project/common/132 get define/meson_options.txt ===
option('MESON_TEST_DEFINE_VALUE', type: 'string', value: '')

=== tests/project/common/159 array option/meson_options.txt ===
# Copyright © 2017 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

option(
    'array',
    type: 'array',
    choices: ['foo', 'bar'],
)

=== tests/project/common/166 yield/meson_options.txt ===
option('unshared_option', type: 'string', value: 'one')
option('shared_option', type: 'string', value: 'two')
option('wrongtype_option', type: 'string', value: 'three')

=== tests/project/common/40 options/meson_options.txt ===
option(
    'testoption',
    type: 'string',
    value: 'optval',
    description: 'An option ' + 'to do something',
)
option('other_one', type: 'boolean', value: not (not (not (not false))))
option(
    'combo_opt',
    type: 'co' + 'mbo',
    choices: ['one', 'two', 'combo'],
    value: 'combo',
)
option(
    'array_opt',
    type: 'array',
    choices: ['one', 'two', 'three'],
    value: ['one', 'two'],
)
option('free_array_opt', type: 'array')
option('integer_opt', type: 'integer', min: 0, max: -(-5), value: 3)
option(
    'neg' + '_' + 'int' + '_' + 'opt',
    type: 'integer',
    min: -5,
    max: 5,
    value: -3,
)
option(
    'CaseSenSiTivE',
    type: 'string',
    value: 'Some CAPS',
    description: 'An option with mixed capitaliziation',
)
option(
    'CASESENSITIVE',
    type: 'string',
    value: 'ALL CAPS',
    description: 'An option with all caps',
)

=== tests/project/common/43 subproject options/subprojects/subproject/meson_options.txt ===
option('opt', type: 'boolean', value: false, description: 'subproject option')

=== debian/changelog ===
muon-meson (0.1.0-2) unstable; urgency=medium

  * d/control: add Depends on ninja-build
  * d/patches: increase test timeout to two minutes.
    Tests seem to take a long time to complete on MIPS.
  * d/tests: add autopkgtest.
    This first autopkgtest builds muon and runs all the tests with the muon
    built in the package build step, to be sure that the muon contained in
    the Debian package is able to build itself.

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 22 Jan 2023 17:32:05 +0100

muon-meson (0.1.0-1) unstable; urgency=low

  * Initial release. Closes: #1016470, #1017716

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 08 Jan 2023 18:04:21 +0100

=== debian/control ===
Source: muon-meson
Section: devel
Priority: optional
Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: git <!nocheck>,
                    libarchive-dev,
                    libcurl4-openssl-dev | libcurl-dev,
                    libpkgconf-dev,
                    ninja-build,
                    pkg-config,
                    python3 <!nocheck> <!nodoc>,
                    python3-yaml <!nodoc>,
                    scdoc <!nodoc>
Standards-Version: 4.6.2
Homepage: https://muon.build
Vcs-Git: https://salsa.debian.org/debian/muon-meson.git
Vcs-Browser: https://salsa.debian.org/debian/muon-meson
Rules-Requires-Root: no

Package: muon-meson
Architecture: any
Multi-Arch: foreign
Depends: ninja-build,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Meson implementation in C
 muon is an implementation of the Meson build system in c99 with minimal
 dependencies.
 .
 It features a static analyzer for meson.build files, a code formatter,
 an interactive stepping debugger, and is very fast.
 .
 It doesn't aim at being bug-for-bug compatible with Meson and offers
 a different set of CLI flags, but it is close to feature-complete with
 the core of Meson for C and C++.
 .
 In this package, the muon binary has been renamed to muon-meson to avoid
 conflicts with a pre-existing muon package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto qa=+all

%:
	dh $@ --buildsystem=none --builddir=build

override_dh_auto_build:
	./bootstrap.sh build
	build/muon setup -Dprefix=/usr build
	ninja -C build

# Meson's fs module tests require HOME to be a valid directory
override_dh_auto_test:
	mkdir build/home
	HOME=$$(realpath build/home) build/muon -C build test -v
	rmdir build/home

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/muon-meson build/muon -C build install

execute_after_dh_auto_install:
	mv debian/muon-meson/usr/bin/muon debian/muon-meson/usr/bin/muon-meson
	mv debian/muon-meson/usr/share/man/man1/muon.1 debian/muon-meson/usr/share/man/man1/muon-meson.1

=== debian/tests/control ===
Tests: build-muon
Depends: @, @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://git.sr.ht/~lattis/muon/refs \
.+/archive/@ANY_VERSION@@ARCHIVE_EXT@

## muon-meson 0.2.0

=== tests/project/common/3 static/meson_options.txt ===
option(
    'source',
    type: 'combo',
    choices: ['libfile.c', 'libfile2.c'],
    value: 'libfile.c',
)

=== debian/changelog ===
muon-meson (0.2.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:58:16 +1100

muon-meson (0.2.0-1build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:46:26 +0000

muon-meson (0.2.0-1build1) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:22:43 +0000

muon-meson (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0
  * d/copyright: update and mention debian/*
  * d/watch: use muon.build to fetch tarballs

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 19 Jun 2023 01:19:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: muon-meson
 Section: devel
 Priority: optional
-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: git <!nocheck>,
                     libarchive-dev,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 override_dh_auto_build:
 	./bootstrap.sh build
 	build/muon setup -Dprefix=/usr build
-	ninja -C build
+	ninja -C build --verbose
 
 # Meson's fs module tests require HOME to be a valid directory
 override_dh_auto_test:

=== debian/watch ===
version=4
https://muon.build \
.+/archive/([[:digit:]][[:digit:].]+)@ARCHIVE_EXT@

## muon-meson 0.3.0

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Stone Tickle <lattis@mochiro.moe>
+# SPDX-License-Identifier: GPL-3.0-only
+
 option(
     'libcurl',
     type: 'feature',
@@ -19,14 +22,15 @@
 option(
     'samurai',
     type: 'feature',
-    value: 'disabled',
+    value: 'enabled',
     description: 'embed samurai into the muon executable',
 )
 option(
-    'bestline',
-    type: 'feature',
-    value: 'enabled',
-    description: 'add readline support via bestline',
+    'readline',
+    type: 'combo',
+    choices: ['builtin', 'bestline'],
+    value: 'builtin',
+    description: 'select readline implementation',
 )
 option(
     'static',
@@ -50,5 +54,10 @@
     'tracy',
     type: 'feature',
     value: 'auto',
-    description: 'wether to enable tracy',
+    description: 'whether to enable tracy',
 )
+option(
+    'meson_tests_repo',
+    type: 'string',
+    value: 'https://git.sr.ht/~lattis/meson-tests',
+)

=== tests/project/meson-tests/common/101 testframework options/meson_options.txt ===
option(
    'testoption',
    type: 'string',
    value: 'optval',
    description: 'An option to do something',
)
option('other_one', type: 'boolean', value: false)
option(
    'combo_opt',
    type: 'combo',
    choices: ['one', 'two', 'combo'],
    value: 'combo',
)

=== tests/project/meson-tests/frameworks/6 gettext/meson_options.txt ===
option(
    'static',
    type: 'boolean',
    value: false,
    description: 'build statically linked binaries',
)

=== tests/project/meson-tests/common/166 yield/subprojects/sub/meson_options.txt ===
option('unshared_option', type: 'string', value: 'three', yield: false)
option('shared_option', type: 'string', value: 'four', yield: true)
option('wrongtype_option', type: 'boolean', value: true, yield: true)

=== debian/changelog ===
muon-meson (0.3.0-4) unstable; urgency=medium

  * bootstrap.sh: create muon-bootstrap instead of muon
  * d/rules: use build/muon-bootstrap.
    This fixes a FTBFS problem where muon was being used before it was
    ready.
    Thanks to Santiago for the report and help! (Closes: #1085124)
  * Make meson_reference.3 generation truly reproducible. Closes: #1083053

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 29 Nov 2024 00:15:35 +0100

muon-meson (0.3.0-3) unstable; urgency=low

  * Upload to unstable
  * d/patches: increase test timeout even more
  * d/patches: make meson_reference.3 generation reproducible
  * d/patches: fix has_function test on hurd

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 28 Sep 2024 01:00:55 +0200

muon-meson (0.3.0-2) experimental; urgency=low

  * d/copyright: document src/external/samurai
  * d/s/lintian-overrides: ovverride source-is-missing error
  * d/{control,rules}: allow cross builds
  * d/control: apply X-Style: black

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 27 Sep 2024 22:50:56 +0200

muon-meson (0.3.0-1) experimental; urgency=low

  * Update to new upstream version 0.3.0.
  * d/rules: set -Dreadline=bestline.
    Continue using bestline until muon's readline implementation is more
    capable
  * d/patches: never use git

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 27 Sep 2024 16:06:11 +0200

muon-meson (0.2.0.418.gcafeb37c+ds-2) experimental; urgency=medium

  * d/patches: Use strtoll() when reading a 64-bit number.
    Fixes builds on 32-bit architectures.

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 14 Jul 2024 11:12:41 +0200

muon-meson (0.2.0.418.gcafeb37c+ds-1) experimental; urgency=medium

  * Update to new upstream git snapshot 0.2.0.418.gcafeb37c+ds.
  * d/copyright: exclude embedded samu port
  * d/copyright: update Files stanzas
  * d/patches: use find instead of git in tests
  * d/rules: disable samurai.
    It is not needed in Debian, since we ship ninja and muon-meson depends
    on it.
  * d/rules: enable bestline.
    It used to be enabled by default, but it now has to be enabled
    explicitly.
  * d/s/lintian-overrides: override pkg-config => pkgconf
  * d/s/lintian-overrides: suppress appstream false positive
  * d/watch: switch to git snapshots

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 13 Jul 2024 21:26:57 +0200

muon-meson (0.2.0-3) unstable; urgency=medium

  * Switch to dgit-maint-debrebase(7) workflow
  * d/gbp.conf: disable import-orig.merge.
    Needed to switch to git-debrebase.
  * d/README.source: document packaging workflow

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 12 Jul 2024 16:32:17 +0200

muon-meson (0.2.0-2) unstable; urgency=medium

  * d/rules: disable qa=canary (Closes: #1074639)
  * d/watch: add meson-docs component.
    Needed to build the meson-reference.3 man page, will be shipped with the
    new upstream release

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 11 Jul 2024 11:45:53 +0200

=== debian/control ===
Source: muon-meson
Section: devel
Priority: optional
Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
Build-Depends-Arch:
 git <!nocheck>,
 libarchive-dev,
 libcurl4-openssl-dev | libcurl-dev,
 libpkgconf-dev,
 ninja-build,
 pkg-config,
 python3-yaml:native <!nodoc>,
 python3:native <!nocheck> <!nodoc>,
 scdoc <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://muon.build
Vcs-Git: https://salsa.debian.org/debian/muon-meson.git
Vcs-Browser: https://salsa.debian.org/debian/muon-meson
Rules-Requires-Root: no
X-Style: black

Package: muon-meson
Architecture: any
Multi-Arch: foreign
Depends:
 ninja-build,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Meson implementation in C
 muon is an implementation of the Meson build system in c99 with minimal
 dependencies.
 .
 It features a static analyzer for meson.build files, a code formatter,
 an interactive stepping debugger, and is very fast.
 .
 It doesn't aim at being bug-for-bug compatible with Meson and offers
 a different set of CLI flags, but it is close to feature-complete with
 the core of Meson for C and C++.
 .
 In this package, the muon binary has been renamed to muon-meson to avoid
 conflicts with a pre-existing muon package.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,21 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto qa=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto qa=+all,-canary
+export DEB_CFLAGS_MAINT_APPEND = -DBOOTSTRAP_NO_SAMU
+
+DPKG_EXPORT_BUILDFLAGS := 1
+DPKG_EXPORT_BUILDTOOLS := 1
+
+include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/buildtools.mk
 
 %:
 	dh $@ --buildsystem=none --builddir=build
 
 override_dh_auto_build:
-	./bootstrap.sh build
-	build/muon setup -Dprefix=/usr build
+	ln -s ../meson-docs subprojects/
+	CC="$(CC_FOR_BUILD)" CFLAGS="$(CPPFLAGS_FOR_BUILD) $(CFLAGS_FOR_BUILD)" LDFLAGS="$(LDFLAGS_FOR_BUILD)" ./bootstrap.sh build
+	build/muon-bootstrap setup -Dprefix=/usr -Dsamurai=disabled -Dreadline=bestline build
 	ninja -C build --verbose
 
 # Meson's fs module tests require HOME to be a valid directory

=== debian/watch ===
version=4

# Stable builds
#opts="repacksuffix=+ds, dversionmangle=auto" \
#https://muon.build \
#.+/archive/([[:digit:]][[:digit:].]+)@ARCHIVE_EXT@

# Git snapshots
opts="mode=git, pretty=describe, repacksuffix=+ds, dversionmangle=auto" \
https://git.sr.ht/~lattis/muon \
HEAD

opts="component=meson-docs" \
https://mochiro.moe/wrap/ \
https://mochiro.moe/wrap/meson-docs-@ANY_VERSION@@ARCHIVE_EXT@ \
ignore uupdate

## muon-meson 0.4.0

=== meson_options.txt ===
--- 
+++ 
@@ -61,3 +61,8 @@
     type: 'string',
     value: 'https://git.sr.ht/~lattis/meson-tests',
 )
+option(
+    'ui',
+    type: 'feature',
+    value: 'disabled',
+)

=== debian/changelog ===
muon-meson (0.4.0-1) unstable; urgency=medium

  * Update to new upstream version 0.4.0.
  * d/copyright: meson-docs are now in subprojects/
  * d/rules: stop creating meson-docs symlink
  * meson.build: build manpage without building the website too
  * subprojects: remove meson-tests and meson-docs wraps
  * subprojects: fix bestline

 -- Andrea Pappacoda <tachi@debian.org>  Sat, 22 Mar 2025 00:58:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: muon-meson
 Section: devel
 Priority: optional
-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
+Maintainer: Andrea Pappacoda <tachi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dpkg-build-api (= 1),

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,6 @@
 	dh $@ --buildsystem=none --builddir=build
 
 override_dh_auto_build:
-	ln -s ../meson-docs subprojects/
 	CC="$(CC_FOR_BUILD)" CFLAGS="$(CPPFLAGS_FOR_BUILD) $(CFLAGS_FOR_BUILD)" LDFLAGS="$(LDFLAGS_FOR_BUILD)" ./bootstrap.sh build
 	build/muon-bootstrap setup -Dprefix=/usr -Dsamurai=disabled -Dreadline=bestline build
 	ninja -C build --verbose

=== debian/tests/control ===
Tests:
 build-muon,
Depends:
 @,
 @builddeps@,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4

# Stable builds
#opts="repacksuffix=+ds, dversionmangle=auto" \
#https://muon.build \
#.+/archive/([[:digit:]][[:digit:].]+)@ARCHIVE_EXT@

# Git snapshots
opts="mode=git, pretty=describe, repacksuffix=+ds, dversionmangle=auto" \
https://git.sr.ht/~lattis/muon \
HEAD

## muon-meson 0.5.0

=== subprojects/packagefiles/glfw3/meson_options.txt ===
option('glfw_vulkan_static',
    type: 'boolean',
    description: 'Use the Vulkan loader statically linked into application',
    value: false)

option('glfw_use_hybrid_hpg',
    type: 'boolean',
    description: 'Force use of high-performance GPU on hybrid systems',
    value: false)

option('glfw_use_msvc_runtime_library_dll',
    type: 'boolean',
    description: 'Use MSVC runtime library DLL',
    value: true)

option('glfw_backend',
    type: 'combo',
    description: 'Backend used for window creation',
    value: 'auto',
    choices: ['auto', 'wayland', 'mir', 'osmesa', 'win32', 'cocoa', 'x11'])

=== subprojects/meson-tests/common/197 function attributes/meson_options.txt ===
option(
    'mode',
    type: 'combo',
    choices: ['single', 'parallel'],
    value: 'single',
    description: 'Test the one at a time function or many at a time function.',
)

=== subprojects/meson-tests/common/40 options/meson_options.txt ===
option(
    'testoption',
    type: 'string',
    value: 'optval',
    description: 'An option ' + 'to do something',
)
option('other_one', type: 'boolean', value: not (not (not (not false))))
option(
    'combo_opt',
    type: 'co' + 'mbo',
    choices: ['one', 'two', 'combo'],
    value: 'combo',
)
option(
    'array_opt',
    type: 'array',
    choices: ['one', 'two', 'three'],
    value: ['one', 'two'],
)
option('free_array_opt', type: 'array')
option('integer_opt', type: 'integer', min: 0, max: -(-5), value: 3)
option(
    'neg' + '_' + 'int' + '_' + 'opt',
    type: 'integer',
    min: -5,
    max: 5,
    value: -3,
)
option(
    'CaseSenSiTivE',
    type: 'string',
    value: 'Some CAPS',
    description: 'An option with mixed capitalization',
)
option(
    'CASESENSITIVE',
    type: 'string',
    value: 'ALL CAPS',
    description: 'An option with all caps',
)

# different than meson: options have to typecheck
#option('boolean_string', type: 'boolean', value: 'false')
#option('boolean_string2', type: 'boolean', value: 'true')
#option('integer_string', type: 'integer', value: '42')

=== subprojects/meson-tests/python/8 different python versions/meson_options.txt ===
option(
    'python',
    type: 'string',
    description: 'Name of or path to the python executable',
)
option('disabled_opt', type: 'feature', value: 'disabled')

=== subprojects/meson-tests/common/98 subproject subdir/subprojects/sub_implicit/meson_options.txt ===
option('opt', type: 'string', value: 'default')

=== debian/changelog ===
muon-meson (0.5.0-1) experimental; urgency=low

  * Update to new upstream version 0.5.0.
  * d/control: depend on libpkgconf >=1.9.0

 -- Andrea Pappacoda <tachi@debian.org>  Thu, 28 Aug 2025 18:03:57 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  git <!nocheck>,
  libarchive-dev,
  libcurl4-openssl-dev | libcurl-dev,
- libpkgconf-dev,
+ libpkgconf-dev (>= 1.9.0),
  ninja-build,
  pkg-config,
  python3-yaml:native <!nodoc>,
@@ -19,7 +19,6 @@
 Homepage: https://muon.build
 Vcs-Git: https://salsa.debian.org/debian/muon-meson.git
 Vcs-Browser: https://salsa.debian.org/debian/muon-meson
-Rules-Requires-Root: no
 X-Style: black
 
 Package: muon-meson

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto qa=+all,-canary
-export DEB_CFLAGS_MAINT_APPEND = -DBOOTSTRAP_NO_SAMU
 
 DPKG_EXPORT_BUILDFLAGS := 1
 DPKG_EXPORT_BUILDTOOLS := 1
@@ -13,8 +12,17 @@
 	dh $@ --buildsystem=none --builddir=build
 
 override_dh_auto_build:
-	CC="$(CC_FOR_BUILD)" CFLAGS="$(CPPFLAGS_FOR_BUILD) $(CFLAGS_FOR_BUILD)" LDFLAGS="$(LDFLAGS_FOR_BUILD)" ./bootstrap.sh build
-	build/muon-bootstrap setup -Dprefix=/usr -Dsamurai=disabled -Dreadline=bestline build
+	CC="$(CC_FOR_BUILD)" CFLAGS="$(CPPFLAGS_FOR_BUILD) $(CFLAGS_FOR_BUILD) -DBOOTSTRAP_NO_SAMU" LDFLAGS="$(LDFLAGS_FOR_BUILD)" ./bootstrap.sh build
+	build/muon-bootstrap setup \
+		-Dprefix=/usr \
+		-Dauto_features=enabled \
+		-Dwrap_mode=nodownload \
+		-Dsamurai=disabled \
+		-Dreadline=bestline \
+		-Dtracy=disabled \
+		-Dui=disabled \
+		-Dwebsite=disabled \
+		build
 	ninja -C build --verbose
 
 # Meson's fs module tests require HOME to be a valid directory
